View Issue Details

IDProjectCategoryView StatusLast Update
0007933ScribusStory Editor / Text Framespublic2009-11-03 03:45
Reportermecirt Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86-64OSlinux 
Product Version1.3.5svn 
Target Version1.3.6Fixed in Version1.3.6svn 
Summary0007933: Switching between text frames non-intuitive (patch attached)
DescriptionCurrently, switching between different text frames is rather non-intuitive. When one is in edit mode and clicks on another text frame, scribus leaves edit mode and merely selects the new frame. A double-click is necessary to move to the new frame.

I am attaching a patch that resolves this problem - if one is in edit mode and clicks on another textframe, scribus does not leave edit mode and positions the cursor correctly within the new frame.
TagsNo tags attached.
Patch

Relationships

related to 0006265 closedjghali should keep "edit text" mode 

Activities

2009-04-11 16:55

 

scribus-textframe-switching.patch (1,052 bytes)   
Index: scribus/canvasmode_edit.cpp
===================================================================
--- scribus/canvasmode_edit.cpp	(revision 13359)
+++ scribus/canvasmode_edit.cpp	(working copy)
@@ -961,25 +961,29 @@
 			else if (resizeGesture->frameHandle() < 0)
 			{
 				m_view->Deselect(true);
+				bool wantNormal = true;
 				if (SeleItem(m))
 				{
 					currItem = m_doc->m_Selection->itemAt(0);
 					if ((currItem->asTextFrame()) || (currItem->asImageFrame()))
 					{
 						m_view->requestMode(modeEdit);
+						wantNormal = false;
 					}
 					else
 					{
 						m_view->requestMode(submodePaintingDone);
 						qApp->changeOverrideCursor(QCursor(Qt::ArrowCursor));
 					}
+					if (currItem->asTextFrame())
+						m_view->slotSetCurs(m->globalPos().x(), m->globalPos().y());
 				}
 				else
 				{
 					m_view->requestMode(submodePaintingDone);
 					qApp->changeOverrideCursor(QCursor(Qt::ArrowCursor));
 				}
-				m_view->requestMode(modeNormal);
+				if (wantNormal) m_view->requestMode(modeNormal);
 				return;
 			}
 		}

JLuc

2009-04-11 20:53

developer   ~0021520

great, that would solve http://bugs.scribus.net/view.php?id=6265

cbradney

2009-04-13 21:50

administrator   ~0021526

We want to have a separate select tool, post 1.3.5.. I am not sure that we would wna to confuse this issue by adding this now.

jghali

2009-11-02 23:25

administrator   ~0022785

Sorry for the delay, patch has now been committed to both 1.3.6svn and trunk.

christoph_s

2009-11-03 03:45

administrator   ~0022788

Tested, fixed. Thanks!

Issue History

Date Modified Username Field Change
2009-04-11 16:55 mecirt New Issue
2009-04-11 16:55 mecirt File Added: scribus-textframe-switching.patch
2009-04-11 20:53 JLuc Note Added: 0021520
2009-04-13 21:50 cbradney Note Added: 0021526
2009-04-13 22:22 cbradney Relationship added related to 0006265
2009-10-04 21:57 cbradney Target Version => 1.3.6
2009-11-02 23:25 jghali Note Added: 0022785
2009-11-02 23:25 jghali Status new => resolved
2009-11-02 23:25 jghali Fixed in Version => 1.3.6svn
2009-11-02 23:25 jghali Resolution open => fixed
2009-11-02 23:25 jghali Assigned To => jghali
2009-11-03 03:45 christoph_s Note Added: 0022788
2009-11-03 03:45 christoph_s Status resolved => closed
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames